
User Interface - Bug #2943

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

./browse/gui/browse-gui-stat1.p the last two browse header columns become partly hidden if do

clicking on its scroll bar to cause rows to move up or down.

12/21/2015 01:44 PM - Sergey Ivanovskiy

Status: Closed Start date: 12/21/2015

Priority: Normal Due date:  

Assignee: Stanislav Lomany % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 12/21/2015 01:49 PM - Sergey Ivanovskiy

- File browse-gui-stat1.p.png added

If click on the scroll bar to cause rows moving up and down, it is possible to get the two last browse header columns partly hidden. It can be

reproduced for the current p2j trunc version with Swing and web clients. The client's logs have no errors. Please look at the attached picture for the

Swing client.

#2 - 12/21/2015 04:51 PM - Stanislav Lomany

- Status changed from New to WIP

- Assignee set to Stanislav Lomany

#3 - 12/21/2015 04:58 PM - Stanislav Lomany

Issue appears only if the scroll button is held down or pressed quickly. Clicking in moderate pace doesn't trigger the issue.

#4 - 12/22/2015 04:19 AM - Stanislav Lomany

The fix is included in branch 2564e.

#5 - 01/05/2016 08:38 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from WIP to Closed

- Target version set to Milestone 12

#6 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files
